<?xml version="1.0" encoding="utf-8"?>
<creole>

    <files>
        <service servicelist='open-iscsi'>open-iscsi</service>
        <service servicelist='multipath'>multipath-tools</service>
        <file filelist='open-iscsi' name='/etc/iscsi/iscsid.conf' source='iscsid.conf' mkdir='True' mode='0644' rm='True'/>
        <file filelist='multipath' name='/etc/multipath.conf' source='multipath.conf' mkdir='True' mode='0644' rm='True'/>
    </files>

    <variables>
        <family name='services'>
            <variable name='activer_openiscsi' type='oui/non' description="Activer open-iscsi">
                <value>non</value>
            </variable>
        </family>
        <family name='open-iscsi' icon='suitcase'>
            <variable name='montage_auto' type='oui/non' description="Activation du montage automatique des ressources">
               <value>non</value>
            </variable>
            <variable name='activer_multipath' type='oui/non' description="Activation du multipath pour gérer des accès multiples à des ressources">
               <value>non</value>
            </variable>
        </family>
        <family name="réseau avancé">
            <variable name="valeur_mtu_eth1" type="number" description="Valeur du MTU pour l'interface eth1 : "/>
            <variable name="valeur_mtu_eth2" type="number" description="Valeur du MTU pour l'interface eth2 : "/>
            <variable name="valeur_mtu_eth3" type="number" description="Valeur du MTU pour l'interface eth3 : "/>
            <variable name="valeur_mtu_eth4" type="number" description="Valeur du MTU pour l'interface eth4 : "/>
        </family>
        <separators/>
    </variables>

    <constraints>
        <condition name='disabled_if_in' source='activer_openiscsi'>
            <param>non</param>
            <target type='family'>open-iscsi</target>
            <target type='servicelist'>open-iscsi</target>
            <target type='filelist'>open-iscsi</target>
        </condition>
        <condition name='disabled_if_in' source='activer_multipath'>
            <param>non</param>
            <target type='servicelist'>multipath</target>
            <target type='filelist'>multipath</target>
        </condition>
        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>1</param>
            <target type='variable'>valeur_mtu_eth1</target>
            <target type='variable'>valeur_mtu_eth2</target>
            <target type='variable'>valeur_mtu_eth3</target>
            <target type='variable'>valeur_mtu_eth4</target>
        </condition>
        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>2</param>
            <target type='variable'>valeur_mtu_eth2</target>
            <target type='variable'>valeur_mtu_eth3</target>
            <target type='variable'>valeur_mtu_eth4</target>
        </condition>
        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>3</param>
            <target type='variable'>valeur_mtu_eth3</target>
            <target type='variable'>valeur_mtu_eth4</target>
        </condition>
        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>4</param>
            <target type='variable'>valeur_mtu_eth4</target>
        </condition>
    </constraints>

    <help>
        <family name='open-iscsi'>Configuration du stockage réseau</family>
        <variable name='activer_openiscsi'>iSCSI (Internet Small Computer System Interface) est un protocole de stockage en réseau basé sur le protocole IP destiné à relier les installations de stockage de données</variable>
        <variable name='valeur_mtu_eth1'>rien = valeur par defaut de l'interface, jumbo frame : 9000</variable>
        <variable name='valeur_mtu_eth2'>rien = valeur par defaut de l'interface, jumbo frame : 9000</variable>
        <variable name='valeur_mtu_eth3'>rien = valeur par defaut de l'interface, jumbo frame : 9000</variable>
        <variable name='valeur_mtu_eth4'>rien = valeur par defaut de l'interface, jumbo frame : 9000</variable>
    </help>

</creole>
